$============================================================================
$ Makro: DefVar
$
$ Existenz einer User-Variablen feststellen und eine Dialog-Variable mit
$ diesem Wert belegen.
$ Falls User-Variable nicht exisitert oder undefiniert ist, Variable mit
$ einem Vorgabewert belegen.
$============================================================================

ATTRIBUTES = PARENTHESIS
MAKRO DefVar ( UserVarName; DlgVarName; DefaultWert )
   {

   if (undef([UserVarName]) OR not varexist('[UserVarName]'))
      {
      [DlgVarName] = [DefaultWert]      $ mit Standardwert belegen
      else
         {
         [DlgVarName] = [UserVarName]   $ mit Wert der Uservar belegen
         }
      }
   }


$============================================================================
$ Makro: EnCheckSound
$
$ berprft, ob die Sound-Dateien fr 'ENPLAYSOUND' verfgbar sind
$
$ Rckgabewert:
$ =============
$ OKVAR        : 1 - alles ok
$                0 - Wave-Dateien nicht gefunden
$
$ EN.WAVEFILES : enthlt den physikalischen Pfad zu den Wave-Dateien
$
$============================================================================

MAKRO EnCheckSound ( OKVar )
   {

   U:EN.WAVEFILEPATH=DRWMGR('GETPHYSNAME';'@:ENSOUND\DING.WAV')

   if not (U:EN.WAVEFILEPATH = 'ENSOUND\DING.WAV')
      {
      $ ... die Position des Teilstring '\DING.WAV' feststellen...

      ENDPOS=strpos(U:EN.WAVEFILEPATH;'\DING.WAV')
      $ ... und den Pfadnamen ausfiltern...

      U:EN.WAVEFILEPATH=STRASN(U:EN.WAVEFILEPATH; 1; ENDPOS-1)

      [OKVar] = 1
      else
         {

         [OKVar] = 0
         U:EN.WAVEFILEPATH = ''
         }
      }
   }


$ =============================================================================
$
$ Makro: EnPlaySound
$ spielt die angegebene WAV-Datei ab
$
$ Rckgabewert:
$ =============
$ ResVar : 'OK' - alles ok
$          ''   - Fehler
$
$ =============================================================================

MAKRO EnPlaySound ( WaveFile )
   {

   if ([WaveFile] <> '')
      {
      ResVar=dllcall('lcsound';'sound';U:EN.WAVEFILEPATH+'\'+[WaveFile])
      }
   }


